#ifndef _TK_STRING_OPTION_H_
#define _TK_STRING_OPTION_H_

#include "tk_baseoption.h"

class TkStringOption:public TkBaseOption
{
	string value;
protected:
	void doSerialize(TiXmlElement& element) const;
	void doDeserialize(const TiXmlElement& element);
public:
	static TXmlObject* newObject()
	{
		return new TkStringOption();
	}

	static const char* type;
	const char* getType() const;

	TkStringOption();
	TkStringOption(const string& value);

	const string& toString() const;
	void fromObject(Tcl_Obj* object);
};

#endif/*_TK_STRING_OPTION_H_*/
